import { Style } from "igniteui-react-core/ES2015/igr-style";
import { IgrShapeSeriesBase } from "./igr-shape-series-base";
import { ScatterPolylineSeries } from "./ScatterPolylineSeries";
/**
 * Series class used for displaying multiple polylines for datasources which contain multiple lists of points.
*/
export class IgrScatterPolylineSeries extends IgrShapeSeriesBase {
    createImplementation() {
        return new ScatterPolylineSeries();
    }
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
    /**
     * The StyleSelector which is used to select a style for each Shape.
    */
    get shapeStyleSelector() {
        return this.i.m4;
    }
    set shapeStyleSelector(v) {
        this.i.m4 = v;
    }
    /**
     * The default style to apply to all Shapes in the series.
    */
    get shapeStyle() {
        if (this.i.m9 == null) {
            return null;
        }
        if (!this.i.m9.externalObject) {
            let e = new Style();
            e._implementation = this.i.m9;
            this.i.m9.externalObject = e;
        }
        return this.i.m9.externalObject;
    }
    set shapeStyle(v) {
        v == null ? this.i.m9 = null : this.i.m9 = v.i;
    }
}
